SciSoft - Feature #22575

ART 2_12_01 with upgraded ROOT (past 6.12.06a)
05/10/2019 09:22 AM - Jeremy Wolcott

Status: Closed Start date: 05/09/2019
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 2.13.00 Spent time: 0.00 hour
Description

Hi,

NOVA has found that a bug in ROOT 6.12.06a (https:/sft.its.cern.ch/jira/browse/ROOT-9369) causes crashes in certain scenarios
within our analysis code. That bug was fixed in subsequent releases of ROOT (6.12.08 and in the 6.14 series and beyond). If
possible we'd request a build of the art 2_12 stack with a newer version of ROOT. Ideally the newest stable release of ROOT would
be used (6.16.00), but if there are breaking changes hidden in there then we'd be content with 6.14 as well (6.12.06 is the last
release in the 6.12 series, apparently).

Thanks!

Related issues:
Related to cet-is - Support #22715: provide a nu distribution for art v2_13_00 Closed 06/11/2019

History

#1 - 05/13/2019 10:41 AM - Kyle Knoepfel

- Status changed from New to Feedback

ROOT 6.16 is already provided through the art 3.02 series. What is the timeline for NOvA upgrading to art 3?
If that date is too far out in the future, then we would need to consider a new build of ROOT. Please advise.
#2 - 05/20/2019 10:16 AM - Jeremy Wolcott

(Sorry about the lag here, was on vacation last week.)

We're still trying to figure out when an upgrade to art 3 meshes best with our very stringent analysis timeline. Likely the earliest we could reasonably
be in a position to switch is sometime later in the summer (August?).

So, a new build of ROOT would be the best thing for us in the interim, since it's more or less a drop-in replacement we could use until we can make
the art 3 switchover. Thanks for considering!

-Jeremy

#3 - 05/20/2019 10:25 AM - Kyle Knoepfel

In that case, we will pursue an art 2 release that uses ROOT 6.16.00. What is your timeline for needing the new art release? Note that you will also
need a new release of GENIE, nutools, artdaq_core, and ifdh_art. Based on our experience, there may be breaking changes that you need to
accommodate when upgrading to ROOT 6.16.

#4 - 05/20/2019 10:45 AM - Jeremy Wolcott
Thanks! I'm not sure what usual turnaround time for an art release is like, but if it could be ready by June 10, that would mean folks would be around

to use & test it (our summer collaboration meeting ends June 7). But obviously if it's easy to get done sooner than that, then we wouldn't complain
(and would get the ball rolling on the other pieces as well).

#5 - 05/23/2019 08:05 PM - Kyle Knoepfel
Jeremy, is NOVA ready to upgrade from e15 (C++14) to e17 (C++17)? All of the ROOT 6.16/00 distributions we currently have require C++17.

#6 - 05/24/2019 11:30 AM - Jeremy Wolcott

Yes we are, but thanks for asking. :)

#7 - 06/07/2019 02:38 PM - Kyle Knoepfel
https://sft.its.cern.ch/jira/browse/ROOT-9369

- % Done changed from 0 to 90
- Target version set to 2.13.00

- Status changed from Feedback to Assigned

art 2.13.00 has been tagged with ROOT 6.16/00. There are a few new versions of products that are required--these will be listed in the release notes
page. A distribution has yet to be created.

Note that this release uses C++17 only.

#8 - 06/10/2019 08:04 AM - Jeremy Wolcott

Great! Thanks! We look forward to the whole bundle :)

#9 - 06/11/2019 02:01 PM - Lynn Garren

The art v2_13_00 distribution is now available. This does not yet include a gallery distribution. | am opening a new, related, ticket for the nu
distribution.

#10 - 06/11/2019 02:03 PM - Lynn Garren
- Related to Support #22715: provide a nu distribution for art v2_13_00 added

#11 - 06/17/2019 10:23 AM - Kyle Knoepfel
- % Done changed from 90 to 100

- Status changed from Assigned to Resolved

#12 - 06/26/2019 09:36 AM - Kyle Knoepfel

- Status changed from Resolved to Closed
